<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>plugin.Xai.XTC2.AP.ATT.choice</name>
<version>4</version>
<engineversion>25</engineversion>
<description>ATT makes purchas choice</description>
<arguments>
<argument index="1" name="Sector.buy" type="Var/Sector" desc="Buying Sector" />
<argument index="2" name="Sector.sell" type="Var/Sector" desc="Selling.sector" />
<argument index="3" name="sell.range.max" type="Var/Number" desc="Max Selling Range" />
</arguments>
<sourcetext>
<line linenr="001" indent=""><comment><text>*&#160;</text><var>Created&#160;by&#160;Xai&#160;Corporation,&#160;764</var></comment></line>
<line linenr="002" indent=""><comment><text>*&#160;</text><var>Part&#160;of&#160;Xai&#160;Corporation&#160;Trade&#160;Command&#160;Software&#160;Mk2</var></comment></line>
<line linenr="003" indent=""><comment><text>*&#160;</text><var></var></comment></line>
<line linenr="004" indent=""><var>$start.time&#160;=&#160;</var><text>playing&#160;time</text></line>
<line linenr="005" indent=""></line>
<line linenr="006" indent=""><comment><text>*&#160;</text><var>get&#160;local&#160;variable</var></comment></line>
<line linenr="007" indent=""><var>if&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;amount&#160;of&#160;ware&#160;</text><var>Xai&#160;Corp.&#160;Trade&#160;Command&#160;Software&#160;MK2</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="008" interruptable="@" indent="&#160;"><var>$level.trade&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.Xai.XTC2.AP.set.trade.lvl</call><text>&#160;:&#160;</text></line>
<line linenr="009" indent=""><comment>*$level.trade&#160;=&#160;[THIS]&#160;-&gt;<text>&#160;call&#160;script&#160;</text>Xai.lib.AP.set.trade.level<text>&#160;:&#160;</text></comment></line>
<line linenr="010" indent=""><text>else</text></line>
<line linenr="011" indent="&#160;"><var>$DP&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;local&#160;variable:&#160;name=</text><var>'DP.personality'</var></line>
<line linenr="012" indent="&#160;"><var>$level.trade&#160;=&#160;</var><var>$DP</var><text>[</text><var>2</var><text>]</text></line>
<line linenr="013" indent=""><text>end</text></line>
<line linenr="014" indent=""></line>
<line linenr="015" indent=""><comment><text>*&#160;</text><var>Higher&#160;levels&#160;sell&#160;in&#160;nearby&#160;sectors</var></comment></line>
<line linenr="016" indent=""><var>$sell.range&#160;=&#160;</var><var>0</var></line>
<line linenr="017" indent=""><var>if&#160;</var><var>$level.trade</var><text>&#160;</text><var>&gt;</var><text>&#160;</text><var>5</var><text>&#160;</text><var>AND</var><text>&#160;</text><var>$level.trade</var></line>
<line linenr="018" indent="&#160;"><var>skip&#160;if&#160;</var><var>$sell.range.max</var><text>&#160;</text><var>&gt;</var><text>&#160;</text><var>1</var></line>
<line linenr="019" indent="&#160;&#160;"><var>$sell.range&#160;=&#160;</var><var>1</var></line>
<line linenr="020" indent=""><text>end</text></line>
<line linenr="021" indent=""></line>
<line linenr="022" interruptable="@" indent=""><var>$sectors&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.Xai.lib.find.Sect.inRange</call><text>&#160;:&#160;</text><text>&#160;Jump&#160;Range=</text><var>$sell.range</var><text>&#160;</text><text>&#160;Reference&#160;&#160;Object=</text><var>$Sector.sell</var></line>
<line linenr="023" indent=""><var>$sectors.num&#160;=&#160;</var><text>&#160;size&#160;of&#160;array&#160;</text><var>$sectors</var></line>
<line linenr="024" indent=""><var>$wares.wanted&#160;=&#160;</var><text>&#160;array&#160;alloc:&#160;size=</text><var>0</var></line>
<line linenr="025" indent=""><var>while&#160;</var><var>$sectors.num</var></line>
<line linenr="026" indent="&#160;"><text>dec&#160;</text><var>$sectors.num&#160;=&#160;</var></line>
<line linenr="027" indent="&#160;"><var>$sec&#160;=&#160;</var><var>$sectors</var><text>[</text><var>$sectors.num</var><text>]</text></line>
<line linenr="028" interruptable="@" indent="&#160;"><var>$wares.list&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.Xai.lib.find.wares.wanted</call><text>&#160;:&#160;</text><text>&#160;Sector=</text><var>$sec</var></line>
<line linenr="029" interruptable="@" indent="&#160;"><var>$wares.wanted&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.Xai.lib.array.append</call><text>&#160;:&#160;</text><text>&#160;array0=</text><var>$wares.wanted</var><text>&#160;</text><text>&#160;array1=</text><var>$wares.list</var><text>&#160;</text><text>&#160;???=</text><var>[FALSE]</var></line>
<line linenr="030" indent=""><text>end</text></line>
<line linenr="031" indent=""><var>$wares.wanted.num&#160;=&#160;</var><text>&#160;size&#160;of&#160;array&#160;</text><var>$wares.wanted</var></line>
<line linenr="032" indent=""></line>
<line linenr="033" indent=""><var>if&#160;</var><var>$level.trade</var></line>
<line linenr="034" indent=""><comment><text>*&#160;</text><var>Loop&#160;through&#160;wares&#160;needed&#160;in&#160;target&#160;sector</var></comment></line>
<line linenr="035" indent="&#160;"><var>while&#160;</var><var>$wares.wanted.num</var></line>
<line linenr="036" indent="&#160;&#160;"><text>dec&#160;</text><var>$wares.wanted.num&#160;=&#160;</var></line>
<line linenr="037" indent="&#160;&#160;"><var>$ware&#160;=&#160;</var><var>$wares.wanted</var><text>[</text><var>$wares.wanted.num</var><text>]</text></line>
<line linenr="038" indent="&#160;&#160;"></line>
<line linenr="039" indent="&#160;&#160;"><var>skip&#160;if&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;can&#160;transport&#160;ware&#160;</text><var>$ware</var></line>
<line linenr="040" indent="&#160;&#160;&#160;"><text>continue</text></line>
<line linenr="041" indent="&#160;&#160;"></line>
<line linenr="042" indent=""><comment><text>*&#160;</text><var>check&#160;a&#160;station&#160;sells&#160;ware</var></comment></line>
<line linenr="043" indent="&#160;&#160;"><var>$station.sells.ware&#160;=&#160;</var><text>&#160;find&#160;station:&#160;product&#160;</text><var>$ware</var><text>&#160;with&#160;best&#160;price:&#160;&#160;max.price=</text><var>null</var><text>,&#160;amount=</text><var>null</var><text>,&#160;max.jumps=</text><var>0</var><text>,&#160;startsector=</text><var>$Sector.buy</var><text>,&#160;trader=</text><var>[THIS]</var></line>
<line linenr="044" indent="&#160;&#160;"><var>skip&#160;if&#160;</var><var>$station.sells.ware</var></line>
<line linenr="045" indent="&#160;&#160;&#160;"><var>$station.sells.ware&#160;=&#160;</var><text>&#160;find&#160;station&#160;sells:&#160;resource&#160;</text><var>$ware</var><text>&#160;with&#160;best&#160;price:&#160;max.price=</text><var>null</var><text>,&#160;amount=</text><var>null</var><text>,&#160;max.jumps=</text><var>0</var><text>,&#160;startsector=</text><var>$Sector.buy</var><text>,&#160;trader=</text><var>[THIS]</var></line>
<line linenr="046" indent="&#160;&#160;"></line>
<line linenr="047" indent="&#160;&#160;"><var>if&#160;</var><var>$station.sells.ware</var></line>
<line linenr="048" indent=""><comment><text>*&#160;</text><var>get&#160;data&#160;on&#160;ware</var></comment></line>
<line linenr="049" indent="&#160;&#160;&#160;"><var>$amount.canCarry&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;free&#160;amount&#160;of&#160;ware&#160;</text><var>$ware</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="050" interruptable="@" indent="&#160;&#160;&#160;"><var>$ware.data&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.Xai.lib.db.basic</call><text>&#160;:&#160;</text><text>&#160;Row&#160;label=</text><var>$ware</var><text>&#160;</text><text>&#160;Row&#160;data=</text><var>null</var><text>&#160;</text><text>&#160;Table&#160;name=</text><var>'database.wares'</var></line>
<line linenr="051" indent=""><comment><text>*&#160;</text><var>&#160;&#160;&#160;set&#160;default&#160;data&#160;on&#160;ware&#160;if&#160;none&#160;exists</var></comment></line>
<line linenr="052" indent="&#160;&#160;&#160;"><var>if&#160;not&#160;</var><var>$ware.data</var></line>
<line linenr="053" indent="&#160;&#160;&#160;&#160;"><var>$price.av&#160;=&#160;</var><text>get&#160;average&#160;price&#160;of&#160;ware&#160;</text><var>$ware</var></line>
<line linenr="054" indent="&#160;&#160;&#160;&#160;"><var>$price.max&#160;=&#160;</var><text>get&#160;max&#160;price&#160;of&#160;ware&#160;</text><var>$ware</var></line>
<line linenr="055" indent="&#160;&#160;&#160;&#160;"><var>$price.min&#160;=&#160;</var><text>get&#160;min&#160;price&#160;of&#160;ware&#160;</text><var>$ware</var></line>
<line linenr="056" indent="&#160;&#160;&#160;&#160;"><var>$profit.last&#160;=&#160;</var><var>(</var><text>&#160;</text><var>$price.av</var><text>&#160;</text><var>-</var><text>&#160;</text><var>$price.min</var><text>&#160;</text><var>)</var><text>&#160;</text><var>*</var><text>&#160;</text><var>$amount.canCarry</var></line>
<line linenr="057" indent="&#160;&#160;&#160;&#160;"><var>$ware.data&#160;=&#160;</var><text>&#160;array&#160;alloc:&#160;size=</text><var>5</var></line>
<line linenr="058" indent="&#160;&#160;&#160;&#160;"><var>$ware.data</var><text>[</text><var>0</var><text>]&#160;=&#160;</text><var>$ware</var></line>
<line linenr="059" indent="&#160;&#160;&#160;&#160;"><var>$ware.data</var><text>[</text><var>1</var><text>]&#160;=&#160;</text><var>$price.min</var></line>
<line linenr="060" indent="&#160;&#160;&#160;&#160;"><var>$ware.data</var><text>[</text><var>2</var><text>]&#160;=&#160;</text><var>$price.av</var></line>
<line linenr="061" indent="&#160;&#160;&#160;&#160;"><var>$ware.data</var><text>[</text><var>3</var><text>]&#160;=&#160;</text><var>$profit.last</var></line>
<line linenr="062" interruptable="@" indent="&#160;&#160;&#160;&#160;"><var>$ware.data&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.Xai.lib.db.basic</call><text>&#160;:&#160;</text><text>&#160;Row&#160;label=</text><var>$ware</var><text>&#160;</text><text>&#160;Row&#160;data=</text><var>$ware.data</var><text>&#160;</text><text>&#160;Table&#160;name=</text><var>'database.wares'</var></line>
<line linenr="063" indent="&#160;&#160;&#160;"><text>end</text></line>
<line linenr="064" indent="&#160;&#160;&#160;"></line>
<line linenr="065" indent="&#160;&#160;&#160;"><var>if&#160;</var><var>$level.trade</var><text>&#160;</text><var>&gt;=</var><text>&#160;</text><var>1</var></line>
<line linenr="066" indent=""><comment><text>*&#160;</text><var>recall&#160;best&#160;profit</var></comment></line>
<line linenr="067" indent="&#160;&#160;&#160;&#160;"><var>$profit.last&#160;=&#160;</var><var>$ware.data</var><text>[</text><var>3</var><text>]</text></line>
<line linenr="068" indent="&#160;&#160;&#160;&#160;"><var>if&#160;not&#160;</var><var>$profit.best.1</var></line>
<line linenr="069" indent="&#160;&#160;&#160;&#160;&#160;"><var>$profit.best.1&#160;=&#160;</var><var>$profit.last</var></line>
<line linenr="070" indent="&#160;&#160;&#160;&#160;&#160;"><var>$ware.best.1&#160;=&#160;</var><var>$ware</var></line>
<line linenr="071" indent="&#160;&#160;&#160;&#160;"><text>else</text></line>
<line linenr="072" indent="&#160;&#160;&#160;&#160;&#160;"><var>if&#160;not&#160;</var><var>$profit.old</var><text>&#160;</text><var>&gt;</var><text>&#160;</text><var>$profit.last</var></line>
<line linenr="073" indent="&#160;&#160;&#160;&#160;&#160;&#160;"><var>$profit.best.1&#160;=&#160;</var><var>$profit.last</var></line>
<line linenr="074" indent="&#160;&#160;&#160;&#160;&#160;&#160;"><var>$ware.best.1&#160;=&#160;</var><var>$ware</var></line>
<line linenr="075" indent="&#160;&#160;&#160;&#160;&#160;"><text>end</text></line>
<line linenr="076" indent="&#160;&#160;&#160;&#160;"><text>end</text></line>
<line linenr="077" indent="&#160;&#160;&#160;&#160;"><var>$profit.old&#160;=&#160;</var><var>$profit.best.1</var></line>
<line linenr="078" indent="&#160;&#160;&#160;"><text>end</text></line>
<line linenr="079" indent=""><comment><text>*&#160;</text><var>-----------------------</var></comment></line>
<line linenr="080" indent="&#160;&#160;&#160;"></line>
<line linenr="081" indent="&#160;&#160;&#160;"><var>if&#160;</var><var>$level.trade</var><text>&#160;</text><var>&gt;=</var><text>&#160;</text><var>2</var></line>
<line linenr="082" indent=""><comment><text>*&#160;</text><var>Best&#160;buy&#160;-&#160;last&#160;sell</var></comment></line>
<line linenr="083" indent="&#160;&#160;&#160;&#160;"><var>$sell.last&#160;=&#160;</var><var>$ware.data</var><text>[</text><var>3</var><text>]</text></line>
<line linenr="084" indent="&#160;&#160;&#160;&#160;"><var>$price&#160;=&#160;</var><var>$station.sells.ware&#160;-&gt;</var><text>&#160;get&#160;price&#160;of&#160;ware&#160;</text><var>$ware</var></line>
<line linenr="085" indent="&#160;&#160;&#160;&#160;"><var>$profit.2&#160;=&#160;</var><var>$sell.last</var><text>&#160;</text><var>-</var><text>&#160;</text><var>$price</var></line>
<line linenr="086" indent="&#160;&#160;&#160;&#160;"><var>if&#160;</var><var>!</var><text>&#160;</text><var>$profit.best.2</var><text>&#160;</text><var>OR</var><text>&#160;</text><var>$profit.best.2</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>$profit.2</var></line>
<line linenr="087" indent="&#160;&#160;&#160;&#160;&#160;"><var>$profit.best.2&#160;=&#160;</var><var>$profit.2</var></line>
<line linenr="088" indent="&#160;&#160;&#160;&#160;&#160;"><var>$ware.best.2&#160;=&#160;</var><var>$ware</var></line>
<line linenr="089" indent="&#160;&#160;&#160;&#160;"><text>end</text></line>
<line linenr="090" indent="&#160;&#160;&#160;"><text>end</text></line>
<line linenr="091" indent=""><comment><text>*&#160;</text><var>-----------------------</var></comment></line>
<line linenr="092" indent="&#160;&#160;&#160;"></line>
<line linenr="093" indent="&#160;&#160;&#160;"><var>if&#160;</var><var>$level.trade</var><text>&#160;</text><var>&gt;=</var><text>&#160;</text><var>3</var></line>
<line linenr="094" indent=""><comment><text>*&#160;</text><var>Best&#160;buy&#160;-&#160;last&#160;sell&#160;multiplied&#160;by&#160;amount&#160;carried</var></comment></line>
<line linenr="095" indent="&#160;&#160;&#160;&#160;"><var>$profit.3&#160;=&#160;</var><var>$profit.2</var><text>&#160;</text><var>*</var><text>&#160;</text><var>$amount.canCarry</var></line>
<line linenr="096" indent="&#160;&#160;&#160;&#160;"><var>if&#160;</var><var>!</var><text>&#160;</text><var>$profit.3</var><text>&#160;</text><var>OR</var><text>&#160;</text><var>$profit.best.3</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>$profit.3</var></line>
<line linenr="097" indent="&#160;&#160;&#160;&#160;&#160;"><var>$profit.best.3&#160;=&#160;</var><var>$profit.3</var></line>
<line linenr="098" indent="&#160;&#160;&#160;&#160;&#160;"><var>$ware.best.3&#160;=&#160;</var><var>$ware</var></line>
<line linenr="099" indent="&#160;&#160;&#160;&#160;"><text>end</text></line>
<line linenr="100" indent="&#160;&#160;&#160;"><text>end</text></line>
<line linenr="101" indent=""><comment><text>*&#160;</text><var>-----------------------</var></comment></line>
<line linenr="102" indent="&#160;&#160;&#160;"></line>
<line linenr="103" indent="&#160;&#160;&#160;"><var>if&#160;</var><var>$level.trade</var><text>&#160;</text><var>&gt;=</var><text>&#160;</text><var>4</var></line>
<line linenr="104" indent=""><comment><text>*&#160;</text><var>Best&#160;buy&#160;-&#160;Best&#160;sell</var></comment></line>
<line linenr="105" indent="&#160;&#160;&#160;&#160;"><var>$price&#160;=&#160;</var><var>$station.sells.ware&#160;-&gt;</var><text>&#160;get&#160;price&#160;of&#160;ware&#160;</text><var>$ware</var></line>
<line linenr="106" indent="&#160;&#160;&#160;&#160;"><var>$station.buys.ware&#160;=&#160;</var><text>&#160;find&#160;station:&#160;resource&#160;</text><var>$ware</var><text>&#160;with&#160;best&#160;price:&#160;min.price=</text><var>$price</var><text>,&#160;amount=</text><var>null</var><text>,&#160;max.jumps=</text><var>$sell.range</var><text>,&#160;startsector=</text><var>$Sector.sell</var><text>,&#160;trader=</text><var>[THIS]</var></line>
<line linenr="107" indent="&#160;&#160;&#160;&#160;"><var>$price.tosell&#160;=&#160;</var><var>$station.buys.ware&#160;-&gt;</var><text>&#160;get&#160;price&#160;of&#160;ware&#160;</text><var>$ware</var></line>
<line linenr="108" indent="&#160;&#160;&#160;&#160;"><var>$profit.4&#160;=&#160;</var><var>(</var><text>&#160;</text><var>$price.tosell</var><text>&#160;</text><var>-</var><text>&#160;</text><var>$price</var><text>&#160;</text><var>)</var><text>&#160;</text><var>*</var><text>&#160;</text><var>$amount.canCarry</var></line>
<line linenr="109" indent="&#160;&#160;&#160;&#160;"><var>if&#160;</var><var>!</var><text>&#160;</text><var>$profit.4</var><text>&#160;</text><var>OR</var><text>&#160;</text><var>$profit.best.4</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>$profit.4</var></line>
<line linenr="110" indent="&#160;&#160;&#160;&#160;&#160;"><var>$profit.best.4&#160;=&#160;</var><var>$profit.4</var></line>
<line linenr="111" indent="&#160;&#160;&#160;&#160;&#160;"><var>$ware.best.4&#160;=&#160;</var><var>$ware</var></line>
<line linenr="112" indent="&#160;&#160;&#160;&#160;"><text>end</text></line>
<line linenr="113" indent="&#160;&#160;&#160;"><text>end</text></line>
<line linenr="114" indent=""><comment><text>*&#160;</text><var>-----------------------</var></comment></line>
<line linenr="115" indent="&#160;&#160;&#160;"></line>
<line linenr="116" indent="&#160;&#160;&#160;"><var>if&#160;</var><var>$level.trade</var><text>&#160;</text><var>&gt;=</var><text>&#160;</text><var>5</var></line>
<line linenr="117" indent=""><comment><text>*&#160;</text><var>best&#160;buy&#160;-&#160;best&#160;sell&#160;last&#160;sell&#160;av</var></comment></line>
<line linenr="118" indent="&#160;&#160;&#160;&#160;"><var>$profit.5&#160;=&#160;</var><var>(</var><text>&#160;</text><var>(</var><text>&#160;</text><var>$sell.last</var><text>&#160;</text><var>+</var><text>&#160;</text><var>$price.tosell</var><text>&#160;</text><var>)</var><text>&#160;</text><var>/</var><text>&#160;</text><var>2</var><text>&#160;</text><var>)</var><text>&#160;</text><var>-</var><text>&#160;</text><var>$price</var></line>
<line linenr="119" indent="&#160;&#160;&#160;&#160;"><var>$profit.5&#160;=&#160;</var><var>$profit.5</var><text>&#160;</text><var>*</var><text>&#160;</text><var>$amount.canCarry</var></line>
<line linenr="120" indent="&#160;&#160;&#160;&#160;"><var>if&#160;</var><var>!</var><text>&#160;</text><var>$profit.best.5</var><text>&#160;</text><var>OR</var><text>&#160;</text><var>$profit.best.5</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>$profit.5</var></line>
<line linenr="121" indent="&#160;&#160;&#160;&#160;&#160;"><var>$profit.best.5&#160;=&#160;</var><var>$profit.5</var></line>
<line linenr="122" indent="&#160;&#160;&#160;&#160;&#160;"><var>$ware.best.5&#160;=&#160;</var><var>$ware</var></line>
<line linenr="123" indent="&#160;&#160;&#160;&#160;"><text>end</text></line>
<line linenr="124" indent="&#160;&#160;&#160;"><text>end</text></line>
<line linenr="125" indent=""><comment><text>*&#160;</text><var>-----------------------</var></comment></line>
<line linenr="126" indent="&#160;&#160;&#160;"></line>
<line linenr="127" indent="&#160;&#160;&#160;"><var>if&#160;</var><var>$level.trade</var><text>&#160;</text><var>&gt;=</var><text>&#160;</text><var>6</var></line>
<line linenr="128" indent=""><comment><text>*&#160;</text><var>av&#160;current&#160;profit&#160;and&#160;last&#160;profit</var></comment></line>
<line linenr="129" indent="&#160;&#160;&#160;&#160;"><var>$profit.6&#160;=&#160;</var><var>(</var><text>&#160;</text><var>(</var><text>&#160;</text><var>$profit.4</var><text>&#160;</text><var>+</var><text>&#160;</text><var>$profit.last</var><text>&#160;</text><var>)</var><text>&#160;</text><var>/</var><text>&#160;</text><var>2</var><text>&#160;</text><var>)</var></line>
<line linenr="130" indent="&#160;&#160;&#160;&#160;"><var>if&#160;</var><var>!</var><text>&#160;</text><var>$profit.best.6</var><text>&#160;</text><var>OR</var><text>&#160;</text><var>$profit.best.6</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>$profit.6</var></line>
<line linenr="131" indent="&#160;&#160;&#160;&#160;&#160;"><var>$profit.best.6&#160;=&#160;</var><var>$profit.6</var></line>
<line linenr="132" indent="&#160;&#160;&#160;&#160;&#160;"><var>$ware.best.6&#160;=&#160;</var><var>$ware</var></line>
<line linenr="133" indent="&#160;&#160;&#160;&#160;"><text>end</text></line>
<line linenr="134" indent="&#160;&#160;&#160;"><text>end</text></line>
<line linenr="135" indent=""><comment><text>*&#160;</text><var>-----------------------</var></comment></line>
<line linenr="136" indent="&#160;&#160;&#160;"></line>
<line linenr="137" indent="&#160;&#160;"><text>end</text></line>
<line linenr="138" indent="&#160;&#160;"></line>
<line linenr="139" indent="&#160;"><text>end</text></line>
<line linenr="140" indent=""><text>end</text></line>
<line linenr="141" indent=""></line>
<line linenr="142" indent=""><comment><text>*&#160;</text><var>Now&#160;choose&#160;a&#160;ware&#160;to&#160;trade</var></comment></line>
<line linenr="143" indent=""><var>skip&#160;if&#160;</var><var>$level.trade</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>6</var><text>&#160;</text><var>OR</var><text>&#160;</text><var>$ware.choice</var></line>
<line linenr="144" indent="&#160;"><var>$ware.choice&#160;=&#160;</var><var>$ware.best.6</var></line>
<line linenr="145" indent=""><var>skip&#160;if&#160;</var><var>$level.trade</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>5</var><text>&#160;</text><var>OR</var><text>&#160;</text><var>$ware.choice</var></line>
<line linenr="146" indent="&#160;"><var>$ware.choice&#160;=&#160;</var><var>$ware.best.5</var></line>
<line linenr="147" indent=""><var>skip&#160;if&#160;</var><var>$level.trade</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>4</var><text>&#160;</text><var>OR</var><text>&#160;</text><var>$ware.choice</var></line>
<line linenr="148" indent="&#160;"><var>$ware.choice&#160;=&#160;</var><var>$ware.best.4</var></line>
<line linenr="149" indent=""><var>skip&#160;if&#160;</var><var>$level.trade</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>3</var><text>&#160;</text><var>OR</var><text>&#160;</text><var>$ware.choice</var></line>
<line linenr="150" indent="&#160;"><var>$ware.choice&#160;=&#160;</var><var>$ware.best.3</var></line>
<line linenr="151" indent=""><var>skip&#160;if&#160;</var><var>$level.trade</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>2</var><text>&#160;</text><var>OR</var><text>&#160;</text><var>$ware.choice</var></line>
<line linenr="152" indent="&#160;"><var>$ware.choice&#160;=&#160;</var><var>$ware.best.2</var></line>
<line linenr="153" indent=""><var>skip&#160;if&#160;</var><var>$level.trade</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>1</var><text>&#160;</text><var>OR</var><text>&#160;</text><var>$ware.choice</var></line>
<line linenr="154" indent="&#160;"><var>$ware.choice&#160;=&#160;</var><var>$ware.best.1</var></line>
<line linenr="155" indent=""></line>
<line linenr="156" indent=""><comment><text>*&#160;</text><var>check&#160;can&#160;buy&#160;ware</var></comment></line>
<line linenr="157" indent=""><var>$station.sells.ware&#160;=&#160;</var><var>null</var></line>
<line linenr="158" indent=""><var>$cash&#160;=&#160;</var><text>get&#160;player&#160;money</text></line>
<line linenr="159" indent=""><var>skip&#160;if&#160;not&#160;</var><var>[HOMEBASE]</var></line>
<line linenr="160" indent="&#160;"><var>$cash&#160;=&#160;</var><var>[HOMEBASE]&#160;-&gt;</var><text>&#160;get&#160;money</text></line>
<line linenr="161" indent=""><var>$sell.last&#160;=&#160;</var><var>$ware.data</var><text>[</text><var>3</var><text>]</text></line>
<line linenr="162" indent=""><var>skip&#160;if&#160;</var><var>$cash</var><text>&#160;</text><var>&lt;=</var><text>&#160;</text><var>$sell.last</var></line>
<line linenr="163" indent="&#160;"><var>$cash&#160;=&#160;</var><var>$sell.last</var></line>
<line linenr="164" indent=""></line>
<line linenr="165" indent=""></line>
<line linenr="166" indent=""><var>$station.sells.ware&#160;=&#160;</var><text>&#160;find&#160;station:&#160;product&#160;</text><var>$ware.choice</var><text>&#160;with&#160;best&#160;price:&#160;&#160;max.price=</text><var>$cash</var><text>,&#160;amount=</text><var>null</var><text>,&#160;max.jumps=</text><var>0</var><text>,&#160;startsector=</text><var>[SECTOR]</var><text>,&#160;trader=</text><var>[THIS]</var></line>
<line linenr="167" indent=""><var>skip&#160;if&#160;</var><var>$station.sells.ware</var></line>
<line linenr="168" indent="&#160;"><var>$station.sells.ware&#160;=&#160;</var><text>&#160;find&#160;station&#160;sells:&#160;resource&#160;</text><var>$ware.choice</var><text>&#160;with&#160;best&#160;price:&#160;max.price=</text><var>$cash</var><text>,&#160;amount=</text><var>null</var><text>,&#160;max.jumps=</text><var>0</var><text>,&#160;startsector=</text><var>[SECTOR]</var><text>,&#160;trader=</text><var>[THIS]</var></line>
<line linenr="169" indent=""><var>$price&#160;=&#160;</var><var>$station.sells.ware&#160;-&gt;</var><text>&#160;get&#160;price&#160;of&#160;ware&#160;</text><var>$ware.choice</var></line>
<line linenr="170" indent=""><var>$station.buys.ware&#160;=&#160;</var><text>&#160;find&#160;station:&#160;resource&#160;</text><var>$ware</var><text>&#160;with&#160;best&#160;price:&#160;min.price=</text><var>$price</var><text>,&#160;amount=</text><var>null</var><text>,&#160;max.jumps=</text><var>$sell.range</var><text>,&#160;startsector=</text><var>$Sector.sell</var><text>,&#160;trader=</text><var>[THIS]</var></line>
<line linenr="171" indent=""><var>skip&#160;if&#160;</var><var>$station.sells.ware</var><text>&#160;</text><var>AND</var><text>&#160;</text><var>$station.buys.ware</var></line>
<line linenr="172" indent="&#160;"><var>$ware.choice&#160;=&#160;</var><var>null</var></line>
<line linenr="173" indent=""></line>
<line linenr="174" indent=""></line>
<line linenr="175" indent=""><comment><text>*&#160;</text><var>If&#160;no&#160;choice&#160;pick&#160;random</var></comment></line>
<line linenr="176" indent=""><var>$i&#160;=&#160;</var><var>0</var></line>
<line linenr="177" indent=""><var>while&#160;</var><var>!</var><text>&#160;</text><var>$ware.choice</var><text>&#160;</text><var>AND</var><text>&#160;</text><var>$i</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>10</var></line>
<line linenr="178" interruptable="@" indent="&#160;"><var>=&#160;</var><text>wait&#160;randomly&#160;from&#160;</text><var>10</var><text>&#160;to&#160;</text><var>50</var><text>&#160;ms</text></line>
<line linenr="179" indent="&#160;"><text>inc&#160;</text><var>$i&#160;=&#160;</var></line>
<line linenr="180" indent="&#160;"></line>
<line linenr="181" interruptable="@" indent="&#160;"><var>$wares.wanted&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.Xai.lib.find.wares.wanted</call><text>&#160;:&#160;</text><text>&#160;Sector=</text><var>$Sector.sell</var><text>&#160;</text><text>&#160;Full&#160;list=</text><var>[TRUE]</var></line>
<line linenr="182" indent="&#160;"><var>$wares.wanted.num&#160;=&#160;</var><text>&#160;size&#160;of&#160;array&#160;</text><var>$wares.wanted</var></line>
<line linenr="183" indent="&#160;"><var>$ware</var><text>&#160;=&#160;random&#160;value&#160;from&#160;0&#160;to&#160;</text><var>$wares.wanted.num</var><text>&#160;-&#160;1</text></line>
<line linenr="184" indent="&#160;"><var>$ware&#160;=&#160;</var><var>$wares.wanted</var><text>[</text><var>$ware</var><text>]</text></line>
<line linenr="185" indent="&#160;"><var>skip&#160;if&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;can&#160;transport&#160;ware&#160;</text><var>$ware</var></line>
<line linenr="186" indent="&#160;&#160;"><text>continue</text></line>
<line linenr="187" indent="&#160;"></line>
<line linenr="188" indent="&#160;"><var>if&#160;</var><var>[HOMEBASE]</var></line>
<line linenr="189" indent="&#160;&#160;"><var>$cash&#160;=&#160;</var><var>[HOMEBASE]&#160;-&gt;</var><text>&#160;get&#160;money</text></line>
<line linenr="190" indent="&#160;"><text>else</text></line>
<line linenr="191" indent="&#160;&#160;"><var>$cash&#160;=&#160;</var><text>get&#160;player&#160;money</text></line>
<line linenr="192" indent="&#160;"><text>end</text></line>
<line linenr="193" indent="&#160;"><var>$price&#160;=&#160;</var><text>get&#160;average&#160;price&#160;of&#160;ware&#160;</text><var>$ware</var></line>
<line linenr="194" indent="&#160;"><var>skip&#160;if&#160;</var><var>$price</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>$cash</var></line>
<line linenr="195" indent="&#160;&#160;"><text>continue</text></line>
<line linenr="196" indent="&#160;"></line>
<line linenr="197" indent="&#160;"><var>$station.sells.ware&#160;=&#160;</var><text>&#160;find&#160;station:&#160;product&#160;</text><var>$ware</var><text>&#160;with&#160;best&#160;price:&#160;&#160;max.price=</text><var>null</var><text>,&#160;amount=</text><var>null</var><text>,&#160;max.jumps=</text><var>0</var><text>,&#160;startsector=</text><var>$Sector.buy</var><text>,&#160;trader=</text><var>[THIS]</var></line>
<line linenr="198" indent="&#160;"><var>skip&#160;if&#160;</var><var>$station.sells.ware</var></line>
<line linenr="199" indent="&#160;&#160;"><var>$station.sells.ware&#160;=&#160;</var><text>&#160;find&#160;station&#160;sells:&#160;resource&#160;</text><var>$ware</var><text>&#160;with&#160;best&#160;price:&#160;max.price=</text><var>null</var><text>,&#160;amount=</text><var>null</var><text>,&#160;max.jumps=</text><var>0</var><text>,&#160;startsector=</text><var>$Sector.buy</var><text>,&#160;trader=</text><var>[THIS]</var></line>
<line linenr="200" indent="&#160;"></line>
<line linenr="201" indent="&#160;"><var>skip&#160;if&#160;not&#160;</var><var>$station.sells.ware</var></line>
<line linenr="202" indent="&#160;&#160;"><var>$ware.choice&#160;=&#160;</var><var>$ware</var></line>
<line linenr="203" indent=""><text>end</text></line>
<line linenr="204" indent=""></line>
<line linenr="205" indent=""><var>$end.time&#160;=&#160;</var><text>playing&#160;time</text></line>
<line linenr="206" indent=""><var>$time&#160;=&#160;</var><var>$start.time</var><text>&#160;</text><var>-</var><text>&#160;</text><var>$end.time</var></line>
<line linenr="207" indent=""><text>write&#160;to&#160;log&#160;file&#160;#</text><var>323</var><text>&#160;&#160;append=</text><var>[TRUE]</var><text>&#160;&#160;printf:&#160;fmt=</text><var>'%s&#160;%s&#160;%s&#160;%s&#160;%s'</var><text>,&#160;</text><var>[THIS]</var><text>,&#160;</text><var>$time</var><text>,&#160;</text><var>$ware.choice</var><text>,&#160;</text><var>$station.buys.ware</var><text>,&#160;</text><var>$station.sells.ware</var></line>
<line linenr="208" indent=""><text>return&#160;</text><var>$ware.choice</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="plugin.Xai.XTC2.AP.ATT.choice" /><sval type="int" val="25" /><sval type="string" val="ATT makes purchas choice" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="array" size="48"><sval type="string" val="Sector.buy" /><sval type="string" val="Sector.sell" /><sval type="string" val="sell.range.max" /><sval type="string" val="start.time" /><sval type="string" val="level.trade" /><sval type="string" val="DP" /><sval type="string" val="sell.range" /><sval type="string" val="sectors" /><sval type="string" val="sectors.num" /><sval type="string" val="wares.wanted" /><sval type="string" val="sec" /><sval type="string" val="wares.list" /><sval type="string" val="wares.wanted.num" /><sval type="string" val="ware" /><sval type="string" val="station.sells.ware" /><sval type="string" val="amount.canCarry" /><sval type="string" val="ware.data" /><sval type="string" val="price.av" /><sval type="string" val="price.max" /><sval type="string" val="price.min" /><sval type="string" val="profit.last" /><sval type="string" val="profit.best.1" /><sval type="string" val="ware.best.1" /><sval type="string" val="profit.old" /><sval type="string" val="sell.last" /><sval type="string" val="price" /><sval type="string" val="profit.2" /><sval type="string" val="profit.best.2" /><sval type="string" val="ware.best.2" /><sval type="string" val="profit.3" /><sval type="string" val="profit.best.3" /><sval type="string" val="ware.best.3" /><sval type="string" val="station.buys.ware" /><sval type="string" val="price.tosell" /><sval type="string" val="profit.4" /><sval type="string" val="profit.best.4" /><sval type="string" val="ware.best.4" /><sval type="string" val="profit.5" /><sval type="string" val="profit.best.5" /><sval type="string" val="ware.best.5" /><sval type="string" val="profit.6" /><sval type="string" val="profit.best.6" /><sval type="string" val="ware.best.6" /><sval type="string" val="ware.choice" /><sval type="string" val="cash" /><sval type="string" val="i" /><sval type="string" val="end.time" /><sval type="string" val="time" /></sval><sval type="array" size="138"><sval type="array" size="2"><sval type="int" val="141" /><sval type="int" val="3" /></sval><sval type="array" size="6"><sval type="int" val="618" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="-1610611709" /><sval type="int" val="9" /><sval type="int" val="1048648" /></sval><sval type="array" size="6"><sval type="int" val="102" /><sval type="string" val="plugin.Xai.XTC2.AP.set.trade.lvl" /><sval type="int" val="4" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="6" /></sval><sval type="array" size="6"><sval type="int" val="156" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="5" /><sval type="string" val="DP.personality" /><sval type="int" val="5" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="4" /><sval type="int" val="2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="6" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="19"><sval type="int" val="104" /><sval type="int" val="-1610610173" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="5" /><sval type="int" val="15" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="15" /><sval type="int" val="9" /><sval type="int" val="5" /><sval type="int" val="-1" /><sval type="int" val="2" /><sval type="int" val="-2" /><sval type="int" val="9" /><sval type="int" val="-4" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-536868345" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="15" /><sval type="int" val="2" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="2" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="6" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="10"><sval type="int" val="102" /><sval type="string" val="plugin.Xai.lib.find.Sect.inRange" /><sval type="int" val="7" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="1" /></sval><sval type="array" size="4"><sval type="int" val="131" /><sval type="int" val="8" /><sval type="int" val="131074" /><sval type="int" val="7" /></sval><sval type="array" size="4"><sval type="int" val="128" /><sval type="int" val="9" /><sval type="int" val="4" /><sval type="int" val="0" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610607863" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="8" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="10" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="8" /></sval><sval type="array" size="8"><sval type="int" val="102" /><sval type="string" val="plugin.Xai.lib.find.wares.wanted" /><sval type="int" val="11" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="10" /></sval><sval type="array" size="12"><sval type="int" val="102" /><sval type="string" val="plugin.Xai.lib.array.append" /><sval type="int" val="9" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="131074" /><sval type="int" val="11" /><sval type="int" val="131075" /><sval type="int" val="9" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="13" /></sval><sval type="array" size="4"><sval type="int" val="131" /><sval type="int" val="12" /><sval type="int" val="131074" /><sval type="int" val="9" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610590973" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610590967" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="12" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="12" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="13" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="131074" /><sval type="int" val="12" /></sval><sval type="array" size="6"><sval type="int" val="617" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="-536864249" /><sval type="int" val="131074" /><sval type="int" val="13" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="21" /></sval><sval type="array" size="14"><sval type="int" val="606" /><sval type="int" val="14" /><sval type="int" val="131074" /><sval type="int" val="13" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131075" /><sval type="int" val="65536" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-536863481" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="14" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="14"><sval type="int" val="663" /><sval type="int" val="14" /><sval type="int" val="131074" /><sval type="int" val="13" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131075" /><sval type="int" val="65536" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610591229" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="14" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="620" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="15" /><sval type="int" val="131074" /><sval type="int" val="13" /></sval><sval type="array" size="12"><sval type="int" val="102" /><sval type="string" val="plugin.Xai.lib.db.basic" /><sval type="int" val="16" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="13" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="5" /><sval type="string" val="database.wares" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-536859900" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="16" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="4"><sval type="int" val="629" /><sval type="int" val="17" /><sval type="int" val="131074" /><sval type="int" val="13" /></sval><sval type="array" size="4"><sval type="int" val="630" /><sval type="int" val="18" /><sval type="int" val="131074" /><sval type="int" val="13" /></sval><sval type="array" size="4"><sval type="int" val="631" /><sval type="int" val="19" /><sval type="int" val="131074" /><sval type="int" val="13" /></sval><sval type="array" size="21"><sval type="int" val="104" /><sval type="int" val="20" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="17" /><sval type="int" val="131074" /><sval type="int" val="19" /><sval type="int" val="15" /><sval type="int" val="12" /><sval type="int" val="131074" /><sval type="int" val="15" /><sval type="int" val="15" /><sval type="int" val="13" /><sval type="int" val="7" /><sval type="int" val="16" /><sval type="int" val="-1" /><sval type="int" val="12" /><sval type="int" val="-2" /><sval type="int" val="17" /><sval type="int" val="13" /><sval type="int" val="-4" /></sval><sval type="array" size="4"><sval type="int" val="128" /><sval type="int" val="16" /><sval type="int" val="4" /><sval type="int" val="5" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="16" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="13" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="16" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="19" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="16" /><sval type="int" val="4" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="17" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="16" /><sval type="int" val="4" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="20" /></sval><sval type="array" size="12"><sval type="int" val="102" /><sval type="string" val="plugin.Xai.lib.db.basic" /><sval type="int" val="16" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="13" /><sval type="int" val="131074" /><sval type="int" val="16" /><sval type="int" val="5" /><sval type="string" val="database.wares" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610599165" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="15" /><sval type="int" val="4" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="4" /><sval type="int" val="-2" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="20" /><sval type="int" val="131074" /><sval type="int" val="16" /><sval type="int" val="4" /><sval type="int" val="3" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-536858364" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="21" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="21" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="20" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="22" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="13" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="52" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-536857596" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="23" /><sval type="int" val="131074" /><sval type="int" val="20" /><sval type="int" val="15" /><sval type="int" val="2" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="2" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="21" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="20" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="22" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="13" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="23" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="21" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610597373" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="2" /><sval type="int" val="15" /><sval type="int" val="4" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="4" /><sval type="int" val="-2" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="24" /><sval type="int" val="131074" /><sval type="int" val="16" /><sval type="int" val="4" /><sval type="int" val="3" /></sval><sval type="array" size="6"><sval type="int" val="627" /><sval type="int" val="131074" /><sval type="int" val="14" /><sval type="int" val="25" /><sval type="int" val="131074" /><sval type="int" val="13" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="26" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="24" /><sval type="int" val="131074" /><sval type="int" val="25" /><sval type="int" val="15" /><sval type="int" val="12" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="12" /><sval type="int" val="-2" /></sval><sval type="array" size="22"><sval type="int" val="104" /><sval type="int" val="-1610597373" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="27" /><sval type="int" val="15" /><sval type="int" val="65556" /><sval type="int" val="131074" /><sval type="int" val="27" /><sval type="int" val="131074" /><sval type="int" val="26" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="15" /><sval type="int" val="10" /><sval type="int" val="6" /><sval type="int" val="65556" /><sval type="int" val="-1" /><sval type="int" val="10" /><sval type="int" val="-3" /><sval type="int" val="3" /><sval type="int" val="-4" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="27" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="26" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="28" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="13" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610596093" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="3" /><sval type="int" val="15" /><sval type="int" val="4" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="4" /><sval type="int" val="-2" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="29" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="26" /><sval type="int" val="131074" /><sval type="int" val="15" /><sval type="int" val="15" /><sval type="int" val="13" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="13" /><sval type="int" val="-2" /></sval><sval type="array" size="22"><sval type="int" val="104" /><sval type="int" val="-1610596093" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="29" /><sval type="int" val="15" /><sval type="int" val="65556" /><sval type="int" val="131074" /><sval type="int" val="30" /><sval type="int" val="131074" /><sval type="int" val="29" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="15" /><sval type="int" val="10" /><sval type="int" val="6" /><sval type="int" val="65556" /><sval type="int" val="-1" /><sval type="int" val="10" /><sval type="int" val="-3" /><sval type="int" val="3" /><sval type="int" val="-4" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="30" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="29" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="31" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="13" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610594045" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="15" /><sval type="int" val="4" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="4" /><sval type="int" val="-2" /></sval><sval type="array" size="6"><sval type="int" val="627" /><sval type="int" val="131074" /><sval type="int" val="14" /><sval type="int" val="25" /><sval type="int" val="131074" /><sval type="int" val="13" /></sval><sval type="array" size="14"><sval type="int" val="608" /><sval type="int" val="32" /><sval type="int" val="131074" /><sval type="int" val="13" /><sval type="int" val="131074" /><sval type="int" val="25" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="131075" /><sval type="int" val="65536" /></sval><sval type="array" size="6"><sval type="int" val="627" /><sval type="int" val="131074" /><sval type="int" val="32" /><sval type="int" val="33" /><sval type="int" val="131074" /><sval type="int" val="13" /></sval><sval type="array" size="21"><sval type="int" val="104" /><sval type="int" val="34" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="33" /><sval type="int" val="131074" /><sval type="int" val="25" /><sval type="int" val="15" /><sval type="int" val="12" /><sval type="int" val="131074" /><sval type="int" val="15" /><sval type="int" val="15" /><sval type="int" val="13" /><sval type="int" val="7" /><sval type="int" val="16" /><sval type="int" val="-1" /><sval type="int" val="12" /><sval type="int" val="-2" /><sval type="int" val="17" /><sval type="int" val="13" /><sval type="int" val="-4" /></sval><sval type="array" size="22"><sval type="int" val="104" /><sval type="int" val="-1610594045" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="34" /><sval type="int" val="15" /><sval type="int" val="65556" /><sval type="int" val="131074" /><sval type="int" val="35" /><sval type="int" val="131074" /><sval type="int" val="34" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="15" /><sval type="int" val="10" /><sval type="int" val="6" /><sval type="int" val="65556" /><sval type="int" val="-1" /><sval type="int" val="10" /><sval type="int" val="-3" /><sval type="int" val="3" /><sval type="int" val="-4" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="35" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="34" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="36" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="13" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610592509" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="5" /><sval type="int" val="15" /><sval type="int" val="4" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="4" /><sval type="int" val="-2" /></sval><sval type="array" size="29"><sval type="int" val="104" /><sval type="int" val="37" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="24" /><sval type="int" val="131074" /><sval type="int" val="33" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="4" /><sval type="int" val="2" /><sval type="int" val="15" /><sval type="int" val="14" /><sval type="int" val="131074" /><sval type="int" val="25" /><sval type="int" val="15" /><sval type="int" val="12" /><sval type="int" val="11" /><sval type="int" val="16" /><sval type="int" val="16" /><sval type="int" val="-1" /><sval type="int" val="11" /><sval type="int" val="-2" /><sval type="int" val="17" /><sval type="int" val="14" /><sval type="int" val="-4" /><sval type="int" val="17" /><sval type="int" val="12" /><sval type="int" val="-6" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="37" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="37" /><sval type="int" val="131074" /><sval type="int" val="15" /><sval type="int" val="15" /><sval type="int" val="13" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="13" /><sval type="int" val="-2" /></sval><sval type="array" size="22"><sval type="int" val="104" /><sval type="int" val="-1610592509" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="38" /><sval type="int" val="15" /><sval type="int" val="65556" /><sval type="int" val="131074" /><sval type="int" val="38" /><sval type="int" val="131074" /><sval type="int" val="37" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="15" /><sval type="int" val="10" /><sval type="int" val="6" /><sval type="int" val="65556" /><sval type="int" val="-1" /><sval type="int" val="10" /><sval type="int" val="-3" /><sval type="int" val="3" /><sval type="int" val="-4" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="38" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="37" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="39" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="13" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610591229" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="6" /><sval type="int" val="15" /><sval type="int" val="4" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="4" /><sval type="int" val="-2" /></sval><sval type="array" size="23"><sval type="int" val="104" /><sval type="int" val="40" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="34" /><sval type="int" val="131074" /><sval type="int" val="20" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="4" /><sval type="int" val="2" /><sval type="int" val="15" /><sval type="int" val="14" /><sval type="int" val="9" /><sval type="int" val="16" /><sval type="int" val="16" /><sval type="int" val="-1" /><sval type="int" val="11" /><sval type="int" val="-2" /><sval type="int" val="17" /><sval type="int" val="14" /><sval type="int" val="-4" /><sval type="int" val="17" /></sval><sval type="array" size="22"><sval type="int" val="104" /><sval type="int" val="-1610591229" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="41" /><sval type="int" val="15" /><sval type="int" val="65556" /><sval type="int" val="131074" /><sval type="int" val="41" /><sval type="int" val="131074" /><sval type="int" val="40" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="15" /><sval type="int" val="10" /><sval type="int" val="6" /><sval type="int" val="65556" /><sval type="int" val="-1" /><sval type="int" val="10" /><sval type="int" val="-3" /><sval type="int" val="3" /><sval type="int" val="-4" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="41" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="40" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="42" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="13" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="21" /></sval><sval type="array" size="19"><sval type="int" val="104" /><sval type="int" val="-536848633" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="6" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="43" /><sval type="int" val="15" /><sval type="int" val="10" /><sval type="int" val="5" /><sval type="int" val="-1" /><sval type="int" val="3" /><sval type="int" val="-2" /><sval type="int" val="10" /><sval type="int" val="-4" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="43" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="42" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="19"><sval type="int" val="104" /><sval type="int" val="-536848121" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="5" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="43" /><sval type="int" val="15" /><sval type="int" val="10" /><sval type="int" val="5" /><sval type="int" val="-1" /><sval type="int" val="3" /><sval type="int" val="-2" /><sval type="int" val="10" /><sval type="int" val="-4" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="43" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="39" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="19"><sval type="int" val="104" /><sval type="int" val="-536847609" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="43" /><sval type="int" val="15" /><sval type="int" val="10" /><sval type="int" val="5" /><sval type="int" val="-1" /><sval type="int" val="3" /><sval type="int" val="-2" /><sval type="int" val="10" /><sval type="int" val="-4" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="43" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="36" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="19"><sval type="int" val="104" /><sval type="int" val="-536847097" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="3" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="43" /><sval type="int" val="15" /><sval type="int" val="10" /><sval type="int" val="5" /><sval type="int" val="-1" /><sval type="int" val="3" /><sval type="int" val="-2" /><sval type="int" val="10" /><sval type="int" val="-4" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="43" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="31" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="19"><sval type="int" val="104" /><sval type="int" val="-536846585" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="2" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="43" /><sval type="int" val="15" /><sval type="int" val="10" /><sval type="int" val="5" /><sval type="int" val="-1" /><sval type="int" val="3" /><sval type="int" val="-2" /><sval type="int" val="10" /><sval type="int" val="-4" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="43" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="28" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="19"><sval type="int" val="104" /><sval type="int" val="-536846073" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="43" /><sval type="int" val="15" /><sval type="int" val="10" /><sval type="int" val="5" /><sval type="int" val="-1" /><sval type="int" val="3" /><sval type="int" val="-2" /><sval type="int" val="10" /><sval type="int" val="-4" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="43" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="22" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="14" /><sval type="int" val="1" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="626" /><sval type="int" val="44" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610586872" /><sval type="int" val="1" /><sval type="int" val="131075" /><sval type="int" val="65540" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="4"><sval type="int" val="600" /><sval type="int" val="131075" /><sval type="int" val="65540" /><sval type="int" val="44" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="24" /><sval type="int" val="131074" /><sval type="int" val="16" /><sval type="int" val="4" /><sval type="int" val="3" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-536844281" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="44" /><sval type="int" val="131074" /><sval type="int" val="24" /><sval type="int" val="15" /><sval type="int" val="5" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="5" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="44" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="24" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="14"><sval type="int" val="606" /><sval type="int" val="14" /><sval type="int" val="131074" /><sval type="int" val="43" /><sval type="int" val="131074" /><sval type="int" val="44" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="131075" /><sval type="int" val="65542" /><sval type="int" val="131075" /><sval type="int" val="65536" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-536843513" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="14" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="14"><sval type="int" val="663" /><sval type="int" val="14" /><sval type="int" val="131074" /><sval type="int" val="43" /><sval type="int" val="131074" /><sval type="int" val="44" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="131075" /><sval type="int" val="65542" /><sval type="int" val="131075" /><sval type="int" val="65536" /></sval><sval type="array" size="6"><sval type="int" val="627" /><sval type="int" val="131074" /><sval type="int" val="14" /><sval type="int" val="25" /><sval type="int" val="131074" /><sval type="int" val="43" /></sval><sval type="array" size="14"><sval type="int" val="608" /><sval type="int" val="32" /><sval type="int" val="131074" /><sval type="int" val="13" /><sval type="int" val="131074" /><sval type="int" val="25" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="131075" /><sval type="int" val="65536" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-536842489" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="14" /><sval type="int" val="131074" /><sval type="int" val="32" /><sval type="int" val="15" /><sval type="int" val="9" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="9" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="43" /><sval type="int" val="1" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="45" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="22"><sval type="int" val="104" /><sval type="int" val="-1610578423" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="43" /><sval type="int" val="15" /><sval type="int" val="65556" /><sval type="int" val="131074" /><sval type="int" val="45" /><sval type="int" val="4" /><sval type="int" val="10" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="15" /><sval type="int" val="9" /><sval type="int" val="6" /><sval type="int" val="65556" /><sval type="int" val="-1" /><sval type="int" val="9" /><sval type="int" val="-3" /><sval type="int" val="3" /><sval type="int" val="-4" /></sval><sval type="array" size="6"><sval type="int" val="107" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="10" /><sval type="int" val="4" /><sval type="int" val="50" /></sval><sval type="array" size="2"><sval type="int" val="142" /><sval type="int" val="45" /></sval><sval type="array" size="10"><sval type="int" val="102" /><sval type="string" val="plugin.Xai.lib.find.wares.wanted" /><sval type="int" val="9" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="131075" /><sval type="int" val="10" /></sval><sval type="array" size="4"><sval type="int" val="131" /><sval type="int" val="12" /><sval type="int" val="131074" /><sval type="int" val="9" /></sval><sval type="array" size="4"><sval type="int" val="106" /><sval type="int" val="13" /><sval type="int" val="131074" /><sval type="int" val="12" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="13" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="131074" /><sval type="int" val="13" /></sval><sval type="array" size="6"><sval type="int" val="617" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="-536839929" /><sval type="int" val="131074" /><sval type="int" val="13" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="112" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610580989" /><sval type="int" val="1" /><sval type="int" val="131075" /><sval type="int" val="65540" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="4"><sval type="int" val="600" /><sval type="int" val="131075" /><sval type="int" val="65540" /><sval type="int" val="44" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="125" /></sval><sval type="array" size="2"><sval type="int" val="626" /><sval type="int" val="44" /></sval><sval type="array" size="4"><sval type="int" val="629" /><sval type="int" val="25" /><sval type="int" val="131074" /><sval type="int" val="13" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-536838137" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="25" /><sval type="int" val="131074" /><sval type="int" val="44" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="3" /><sval type="int" val="-2" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="112" /></sval><sval type="array" size="14"><sval type="int" val="606" /><sval type="int" val="14" /><sval type="int" val="131074" /><sval type="int" val="13" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131075" /><sval type="int" val="65536" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-536837369" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="14" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="14"><sval type="int" val="663" /><sval type="int" val="14" /><sval type="int" val="131074" /><sval type="int" val="13" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131075" /><sval type="int" val="65536" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610578680" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="14" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="43" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="13" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="112" /></sval><sval type="array" size="2"><sval type="int" val="141" /><sval type="int" val="46" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="47" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="46" /><sval type="int" val="15" /><sval type="int" val="12" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="12" /><sval type="int" val="-2" /></sval><sval type="array" size="17"><sval type="int" val="405" /><sval type="int" val="4" /><sval type="int" val="323" /><sval type="int" val="131075" /><sval type="int" val="10" /><sval type="int" val="5" /><sval type="string" val="%s %s %s %s %s" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="131074" /><sval type="int" val="47" /><sval type="int" val="131074" /><sval type="int" val="43" /><sval type="int" val="131074" /><sval type="int" val="32" /><sval type="int" val="131074" /><sval type="int" val="14" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="131074" /><sval type="int" val="43" /></sval></sval><sval type="array" size="3"><sval type="array" size="2"><sval type="int" val="14" /><sval type="string" val="Buying Sector" /></sval><sval type="array" size="2"><sval type="int" val="14" /><sval type="string" val="Selling.sector" /></sval><sval type="array" size="2"><sval type="int" val="10" /><sval type="string" val="Max Selling Range" /></sval></sval><sval type="array" size="79"><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Created by Xai Corporation, 764" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Part of Xai Corporation Trade Command Software Mk2" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="" /></sval><sval type="array" size="2"><sval type="int" val="1" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="1" /><sval type="int" val="1" /><sval type="string" val="get local variable" /></sval><sval type="array" size="8"><sval type="int" val="3" /><sval type="int" val="3" /><sval type="int" val="102" /><sval type="string" val="Xai.lib.AP.set.trade.level" /><sval type="string" val="level.trade" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="4" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="6" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="6" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="6" /><sval type="int" val="1" /><sval type="string" val="Higher levels sell in nearby sectors" /></sval><sval type="array" size="2"><sval type="int" val="10" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="10" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="19" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="20" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="21" /><sval type="int" val="1" /><sval type="string" val="Loop through wares needed in target sector" /></sval><sval type="array" size="2"><sval type="int" val="24" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="26" /><sval type="int" val="6" /></sval><sval type="array" size="2"><sval type="int" val="26" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="26" /><sval type="int" val="1" /><sval type="string" val="check a station sells ware" /></sval><sval type="array" size="2"><sval type="int" val="29" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="30" /><sval type="int" val="1" /><sval type="string" val="get data on ware" /></sval><sval type="array" size="3"><sval type="int" val="32" /><sval type="int" val="1" /><sval type="string" val="   set default data on ware if none exists" /></sval><sval type="array" size="2"><sval type="int" val="43" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="43" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="44" /><sval type="int" val="1" /><sval type="string" val="recall best profit" /></sval><sval type="array" size="2"><sval type="int" val="49" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="52" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="52" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="53" /><sval type="int" val="4" /></sval><sval type="array" size="3"><sval type="int" val="53" /><sval type="int" val="1" /><sval type="string" val="-----------------------" /></sval><sval type="array" size="2"><sval type="int" val="53" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="54" /><sval type="int" val="1" /><sval type="string" val="Best buy - last sell" /></sval><sval type="array" size="2"><sval type="int" val="60" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="60" /><sval type="int" val="4" /></sval><sval type="array" size="3"><sval type="int" val="60" /><sval type="int" val="1" /><sval type="string" val="-----------------------" /></sval><sval type="array" size="2"><sval type="int" val="60" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="61" /><sval type="int" val="1" /><sval type="string" val="Best buy - last sell multiplied by amount carried" /></sval><sval type="array" size="2"><sval type="int" val="65" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="65" /><sval type="int" val="4" /></sval><sval type="array" size="3"><sval type="int" val="65" /><sval type="int" val="1" /><sval type="string" val="-----------------------" /></sval><sval type="array" size="2"><sval type="int" val="65" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="66" /><sval type="int" val="1" /><sval type="string" val="Best buy - Best sell" /></sval><sval type="array" size="2"><sval type="int" val="73" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="73" /><sval type="int" val="4" /></sval><sval type="array" size="3"><sval type="int" val="73" /><sval type="int" val="1" /><sval type="string" val="-----------------------" /></sval><sval type="array" size="2"><sval type="int" val="73" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="74" /><sval type="int" val="1" /><sval type="string" val="best buy - best sell last sell av" /></sval><sval type="array" size="2"><sval type="int" val="79" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="79" /><sval type="int" val="4" /></sval><sval type="array" size="3"><sval type="int" val="79" /><sval type="int" val="1" /><sval type="string" val="-----------------------" /></sval><sval type="array" size="2"><sval type="int" val="79" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="80" /><sval type="int" val="1" /><sval type="string" val="av current profit and last profit" /></sval><sval type="array" size="2"><sval type="int" val="84" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="84" /><sval type="int" val="4" /></sval><sval type="array" size="3"><sval type="int" val="84" /><sval type="int" val="1" /><sval type="string" val="-----------------------" /></sval><sval type="array" size="2"><sval type="int" val="84" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="84" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="84" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="85" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="85" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="85" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="85" /><sval type="int" val="1" /><sval type="string" val="Now choose a ware to trade" /></sval><sval type="array" size="2"><sval type="int" val="97" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="97" /><sval type="int" val="1" /><sval type="string" val="check can buy ware" /></sval><sval type="array" size="2"><sval type="int" val="104" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="104" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="111" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="111" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="111" /><sval type="int" val="1" /><sval type="string" val="If no choice pick random" /></sval><sval type="array" size="2"><sval type="int" val="115" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="121" /><sval type="int" val="6" /></sval><sval type="array" size="2"><sval type="int" val="121" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="124" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="125" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="128" /><sval type="int" val="6" /></sval><sval type="array" size="2"><sval type="int" val="128" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="131" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="134" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="134" /><sval type="int" val="2" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>
